明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 713|回复: 3

[提问] 如此标注?

[复制链接]
发表于 2016-1-1 16:16 | 显示全部楼层 |阅读模式
设表                (setq        Tblst (list                "4cm厚AC-13C细粒式改性沥青砼"
                       "AL(m)-3粘层油"
                       "6cm厚AC-20C中粒式沥青砼"
                      "AL(m)-3粘层油"
                      "8cm厚AC-25C粗粒式沥青砼"
                      "AL(m)-3粘层油"
                      "1cm改性沥青碎石封层"
                    "25cm厚C40水泥砼"
                    "20cm厚5%水泥稳定碎石基层"
                   "20cm厚4%水泥稳定碎石底基层"
                  "15cm厚未筛分碎石垫层"
                )
   )

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2016-1-5 19:36 | 显示全部楼层


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2016-1-6 10:53 | 显示全部楼层
xyp1964 发表于 2016-1-5 19:36

院长   你就不能直接发源码啊,这伪源码还要币!!!

点评

没强迫你下载  发表于 2016-1-6 11:36
 楼主| 发表于 2016-1-7 10:17 | 显示全部楼层
本帖最后由 qyming 于 2016-1-7 10:19 编辑

  1. (setq Tblst (list
  2.               "4cm厚AC-13C细粒式改性沥青砼"
  3.               "AL(m)-3粘层油"
  4.               "6cm厚AC-20C中粒式沥青砼"
  5.               "AL(m)-3粘层油"
  6.               "8cm厚AC-25C粗粒式沥青砼"
  7.               "AL(m)-3粘层油"
  8.               "1cm改性沥青碎石封层"
  9.               "25cm厚C40水泥砼"
  10.               "20cm厚5%水泥稳定碎石基层"
  11.               "20cm厚4%水泥稳定碎石底基层"
  12.               "15cm厚未筛分碎石垫层"
  13.              )
  14. )
  15. (ayt2t (getpoint "插入点:") tblst)
  16. (defun ayt2t (pt Tblst / emkLine emkText textheight h len e pt0)
  17.   (defun emkLine (startpoint endpoint)
  18.     (entmake (list '(0 . "LINE")
  19.                    (cons 10 startpoint)
  20.                    (cons 11 endpoint)
  21.              )
  22.     )
  23.   )
  24.   (defun emkText (pt str textheight)
  25.     (entmake (list '(0 . "TEXT")
  26.                    (cons 1 str)
  27.                    (cons 10 pt)
  28.                    (cons 40 textheight)
  29.                    (cons 41 0.8)
  30.                    (cons 11 pt)
  31.                    (cons 72 0)
  32.                    (cons 73 2)
  33.              )
  34.     )
  35.   )
  36.   
  37.     (setq textheight (getvar "TEXTSIZE") ;字高
  38.           h             (* textheight 2)        ;表格高
  39.           len             (apply 'max (mapcar 'strlen Tblst))
  40.     )                                        ;文字最大值
  41.     (foreach e (reverse Tblst)
  42.       (emkLine pt (polar pt 0 (+ len h))) ;横线
  43.       (setq pt0 (list (+ (car pt) h) (cadr pt))) ;定义字插入点
  44.       (emkText (polar pt (* Pi 0.25) textheight) e textheight)
  45.       (emkLine pt (polar pt (* Pi 0.5) h)) ;竖线
  46.       (setq pt (polar pt (* Pi 0.5) h))
  47.     )
  48.     (princ)
  49.   
  50. )


不知怎么成组,好修改,望大神修改
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-11-20 20:11 , Processed in 0.180832 second(s), 29 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表